Subject: Re: bug#41132: [core-updates]: Fonts not working on foreign distro (Debian)

From: Bengt Richter <[email-masked]>
Date: Sat, 9 May 2020 00:18:46 +0200

Hi Leo, et al,

On +2020-05-08 14:08:51 -0400, Leo Famulari wrote:
> On Fri, May 08, 2020 at 10:59:46AM +0200, Marius Bakke wrote:
> > Just to be clear, these programs are able to find fonts you have
> > installed through Guix, right?
> 
> They can find the font packages I install with Guix, but not the
> hard-coded PostScript fonts.
> 
> > > The specific fonts in question are the URW fonts, aka the "PostScript
> > > fonts", provided by Debian's gsfonts and gsfonts-x11 packages.
> > 
> > Are those the only affected fonts?
> 
> I looked more closely, and Guix applications can no longer see *any*
> fonts from Debian.
> 
> > > $ fc-cache -rv
> > 
> > [...]
> > 
> > > /home/leo/.local/share/fonts: caching, new cache contents: 0 fonts, 0 dirs
> > > /home/leo/.local/share/fonts: failed to write cache
> > 
> > [...]
> > 
> > > /home/leo/.fonts: caching, new cache contents: 0 fonts, 0 dirs
> > > /home/leo/.fonts: failed to write cache
> > 
> > [...]
> > 
> > > fc-cache: failed
> > 
> > FWIW the new fc-cache fails for me on Guix System too if I create these
> > empty directories.
> 
> Confirmed. fc-cache exited successfully when I removed those directories.
> 
> > Can you inspect 'fc-list ' with the new and old fontconfig?  Are there
> > differences?
> 
> The only differences, after running `fc-cache -rfv`, are the differing
> store paths of the hard-coded gs-fonts package.
> 
> Another thing I noticed is that I can do `fc-cache -rfv /usr/share/fonts
> && fc-list`, and the hundreds of fonts found in that directory are *not
> shown* in fc-list, but that's the same as on the master branch.
> 
> So, I'm still not sure what the difference is.

Didn't I just see a permissions-related bug reminiscent of this go by a short while ago?
Could it be related? Do the dir/file perms look normal?

-- 
Regards,
Bengt Richter